Bug 449749 - avc: samba denied access to ~/.gvfs
avc: samba denied access to ~/.gvfs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 07:23 EDT by Nalin Dahyabhai
Modified: 2008-11-17 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:04:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2008-06-03 07:23:15 EDT
Description of problem:
type=SYSCALL msg=audit(1212375511.415:1149): arch=c000003e syscall=4 success=no 
exit=-13 a0=7fa682381090 a1=7fff895d9f20 a2=7fff895d9f20 a3=0 items=0 ppid=22745
 pid=4881 auid=4294967295 uid=500 gid=0 euid=500 suid=0 fsuid=500 egid=500 sgid=
0 fsgid=500 tty=(none) ses=4294967295 comm="smbd" exe="/usr/sbin/smbd" subj=syst
em_u:system_r:smbd_t:s0 key=(null)
type=AVC msg=audit(1212375513.998:1150): avc:  denied  { getattr } for  pid=4881
 comm="smbd" path="/home/nalin/.gvfs" dev=fuse ino=1 scontext=system_u:system_r:
smbd_t:s0 tcontext=system_u:object_r:fusefs_t:s0 tclass=dir

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-55.fc9

How reproducible:
Always

Steps to Reproduce:
1. Turn on the smb service.  By default it'll share home directories.
2. Turn on samba_enable_home_dirs using setsebool.
3. Log in to GNOME on the system itself.
4. Create a Samba password for yourself using 'smbpasswd -a $USER'.
5. Attempt to access your home directory.

Actual results:
AVC denial.  No immediately visible problems, but I'm guessing my gvfs mounts
won't be provided by smbd.

Expected results:
No logged errors.

Additional info:
Output from getsebool -a |egrep  '(samba|smb)':
allow_smbd_anon_write --> off
samba_domain_controller --> off
samba_enable_home_dirs --> on
samba_export_all_ro --> off
samba_export_all_rw --> off
samba_run_unconfined --> on
samba_share_fusefs --> off
samba_share_nfs --> off
use_samba_home_dirs --> off
virt_use_samba --> off
Comment 1 Daniel Walsh 2008-07-02 13:56:29 EDT
Fixed in selinux-policy-3.3.1-75.fc9.noarch
Comment 2 Daniel Walsh 2008-11-17 17:04:24 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.